
package com.tmerclub.cloud.common.order.vo;

import com.tmerclub.cloud.common.model.BaseModel;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 采购商品
 *
 * @author lhd
 * @date 2022-06-22 17:12:02
 */
public class EsPurchaseOrderItemVO extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "id")
    private Long purchaseItemId;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "sku id")
    private Long skuId;

    @Schema(description = "采购金额")
    private Long purchaseAmount;

    @Schema(description = "采购价")
    private Long purchasePrice;

    @Schema(description = "采购库存数量")
    private Integer purchaseStock;

    @Schema(description = "实际库存数量")
    private Integer actualStock;

    @Schema(description = "实际库存数量")
    private Integer deliveryType;

    @Schema(description = "状态 0:已作废 1:待入库 2:已发货 3.部分入库 5:已完成")
    private Integer status;

    @Schema(description = "商品编码")
    private String spuCode;

    @Schema(description = "sku编码")
    private String partyCode;

    @Schema(description = "商品图片")
    private String pic;

    @Schema(description = "待发货数量")
    private Integer beDeliveredNum;

    @Schema(description = "商品名称")
    private String spuName;

    @Schema(description = "sku名称")
    private String skuName;

    public Long getPurchaseItemId() {
        return purchaseItemId;
    }

    public void setPurchaseItemId(Long purchaseItemId) {
        this.purchaseItemId = purchaseItemId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Long getPurchaseAmount() {
        return purchaseAmount;
    }

    public void setPurchaseAmount(Long purchaseAmount) {
        this.purchaseAmount = purchaseAmount;
    }

    public Long getPurchasePrice() {
        return purchasePrice;
    }

    public void setPurchasePrice(Long purchasePrice) {
        this.purchasePrice = purchasePrice;
    }

    public Integer getPurchaseStock() {
        return purchaseStock;
    }

    public void setPurchaseStock(Integer purchaseStock) {
        this.purchaseStock = purchaseStock;
    }

    public Integer getActualStock() {
        return actualStock;
    }

    public void setActualStock(Integer actualStock) {
        this.actualStock = actualStock;
    }

    public Integer getDeliveryType() {
        return deliveryType;
    }

    public void setDeliveryType(Integer deliveryType) {
        this.deliveryType = deliveryType;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getSpuCode() {
        return spuCode;
    }

    public void setSpuCode(String spuCode) {
        this.spuCode = spuCode;
    }

    public String getPartyCode() {
        return partyCode;
    }

    public void setPartyCode(String partyCode) {
        this.partyCode = partyCode;
    }

    public String getPic() {
        return pic;
    }

    public void setPic(String pic) {
        this.pic = pic;
    }

    public Integer getBeDeliveredNum() {
        return beDeliveredNum;
    }

    public void setBeDeliveredNum(Integer beDeliveredNum) {
        this.beDeliveredNum = beDeliveredNum;
    }

    public String getSpuName() {
        return spuName;
    }

    public void setSpuName(String spuName) {
        this.spuName = spuName;
    }

    public String getSkuName() {
        return skuName;
    }

    public void setSkuName(String skuName) {
        this.skuName = skuName;
    }

    @Override
    public String toString() {
        return "EsPurchaseOrderItemVO{" +
                "createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", purchaseItemId=" + purchaseItemId +
                ", spuId=" + spuId +
                ", skuId=" + skuId +
                ", purchaseAmount=" + purchaseAmount +
                ", purchasePrice=" + purchasePrice +
                ", purchaseStock=" + purchaseStock +
                ", actualStock=" + actualStock +
                ", deliveryType=" + deliveryType +
                ", status=" + status +
                ", spuCode='" + spuCode + '\'' +
                ", partyCode='" + partyCode + '\'' +
                ", pic='" + pic + '\'' +
                ", beDeliveredNum=" + beDeliveredNum +
                ", spuName='" + spuName + '\'' +
                ", skuName='" + skuName + '\'' +
                '}';
    }
}
